Appearance
Teams
Teams, members, invites, team API tokens and team secrets.
Base URL: https://api.fjordrun.com. Generated from the OpenAPI document (API version 0.1.0).
List teams
GET /api/v1/teams
Authentication: a team API token or personal access token.
Response
200: a list of Team objects.
Example
bash
curl "https://api.fjordrun.com/api/v1/teams" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Create team
POST /api/v1/teams
Authentication: a team API token or personal access token.
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | min length 1, max length 100 |
Response
201: a Team object.
Example
bash
curl -X POST "https://api.fjordrun.com/api/v1/teams" \
-H "Authorization: Bearer $FJORDRUN_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string"}'Get team
GET /api/v1/teams/{tid}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes |
Response
200: a Team object.
Example
bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Update team
PATCH /api/v1/teams/{tid}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | min length 1, max length 100 |
Response
200: a Team object.
Example
bash
curl -X PATCH "https://api.fjordrun.com/api/v1/teams/$TEAM_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string"}'Delete team
DELETE /api/v1/teams/{tid}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes |
Response
204: no content.
Example
bash
curl -X DELETE "https://api.fjordrun.com/api/v1/teams/$TEAM_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"List members
GET /api/v1/teams/{tid}/members
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes |
Response
200: a list of Member objects.
Example
bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/members" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Update member
PATCH /api/v1/teams/{tid}/members/{uid}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes | |
uid | path | string (UUID) | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
role | "owner", "admin", "member", "viewer" | yes |
Response
200: a Member object.
Example
bash
curl -X PATCH "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/members/$MEMBER_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN" \
-H "Content-Type: application/json" \
-d '{"role":"owner"}'Remove member
DELETE /api/v1/teams/{tid}/members/{uid}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes | |
uid | path | string (UUID) | yes |
Response
204: no content.
Example
bash
curl -X DELETE "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/members/$MEMBER_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"List invites
GET /api/v1/teams/{tid}/invites
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes |
Response
200: a list of Invite objects.
Example
bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/invites" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Create invite
POST /api/v1/teams/{tid}/invites
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
email | string | yes | |
role | "owner", "admin", "member", "viewer" | no | default "member" |
Response
201: an Invite object.
Example
bash
curl -X POST "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/invites" \
-H "Authorization: Bearer $FJORDRUN_TOKEN" \
-H "Content-Type: application/json" \
-d '{"email":"string"}'Revoke an invite
DELETE /api/v1/invites/{iid}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
iid | path | string (UUID) | yes |
Response
204: no content.
Example
bash
curl -X DELETE "https://api.fjordrun.com/api/v1/invites/$INVITE_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Get an invite
GET /api/v1/invites/{token}
Authentication: none.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
token | path | string | yes |
Response
200: an Invite object.
Example
bash
curl "https://api.fjordrun.com/api/v1/invites/$INVITE_TOKEN"Accept an invite
POST /api/v1/invites/{token}/accept
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
token | path | string | yes |
Response
200: a Team object.
Example
bash
curl -X POST "https://api.fjordrun.com/api/v1/invites/$INVITE_TOKEN/accept" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Team activity
GET /api/v1/teams/{tid}/activity
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes | |
limit | query | integer | no | min 1, max 200, default 50 |
Response
200: a list of Activity objects.
Example
bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/activity" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"List team API tokens
GET /api/v1/teams/{tid}/tokens
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes |
Response
200: a list of Team API token objects.
Example
bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/tokens" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Create a team API token
POST /api/v1/teams/{tid}/tokens
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | min length 1, max length 100 |
project_id | string (UUID) | no | can be null |
Response
201: a Team API token object.
Example
bash
curl -X POST "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/tokens" \
-H "Authorization: Bearer $FJORDRUN_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string"}'Delete a team API token
DELETE /api/v1/tokens/{token_id}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
token_id | path | string (UUID) | yes |
Response
204: no content.
Example
bash
curl -X DELETE "https://api.fjordrun.com/api/v1/tokens/$TOKEN_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"List secrets
GET /api/v1/teams/{tid}/secrets
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes |
Response
200: a list of Secret objects.
Example
bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/secrets" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Create secret
POST /api/v1/teams/{tid}/secrets
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | min length 1, max length 100 |
value | string | yes | max length 65536 |
Response
201: a Secret object.
Example
bash
curl -X POST "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/secrets" \
-H "Authorization: Bearer $FJORDRUN_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string","value":"string"}'Update a team secret
PUT /api/v1/secrets/{sid}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
sid | path | string (UUID) | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
value | string | yes | max length 65536 |
Response
200: a Secret object.
Example
bash
curl -X PUT "https://api.fjordrun.com/api/v1/secrets/$SECRET_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN" \
-H "Content-Type: application/json" \
-d '{"value":"string"}'Delete a team secret
DELETE /api/v1/secrets/{sid}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
sid | path | string (UUID) | yes |
Response
204: no content.
Example
bash
curl -X DELETE "https://api.fjordrun.com/api/v1/secrets/$SECRET_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Request objects
InviteIn
| Field | Type | Required | Description |
|---|---|---|---|
email | string | yes | |
role | "owner", "admin", "member", "viewer" | no | default "member" |
RoleIn
| Field | Type | Required | Description |
|---|---|---|---|
role | "owner", "admin", "member", "viewer" | yes |
SecretIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | min length 1, max length 100 |
value | string | yes | max length 65536 |
SecretValueIn
| Field | Type | Required | Description |
|---|---|---|---|
value | string | yes | max length 65536 |
TeamIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | min length 1, max length 100 |
TokenIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | min length 1, max length 100 |
project_id | string (UUID) | no | can be null |